Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

Libcurl was installed from source, on top of existing libcurl install. After last ubuntu automatic update, my c++ multi-threaded program, that runs with libcurl, gets this error(rather warning as it continues to run):

./getweb: /usr/local/lib/libcurl.so.4: no version information available (required by ./getweb)

What does the error mean? What does it affect?

The libcurl (v7.30) was compiled from source with c-ares and excluded ipv6 support(as my network doesn't yet support it and was slowing down the application).

OS: ubuntu 12.10, 64bit server (Gnome, X added post install)

Also maybe related, libcurl in my app seems to have trouble with non existing domains, as it stays 7-20s on "NXDOMAIN" requests.

here is the pmp (poore man's profiler) output:

   2585 __GI___poll,Curl_poll,curl_multi_wait,curl_easy_perform,getweb,athread,start_thread,clone,??
   1281 __GI___poll,Curl_poll,curl_multi_wait,curl_easy_perform,getweb,getweb,athread,start_thread,clone,??
    100 nanosleep,__sleep,athread,start_thread,clone,??
    ...

the curl command dosen't seem to have this issue. It finishes the same request under a sec.

The question is related to this one, as it seems I've solved one problem and ended up with an other, can't tell if it was after the last ubuntu update or before.

share|improve this question
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Browse other questions tagged or ask your own question.